Name:           python-sip
Version:        6.10.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Python bindings generator for C/C++ libraries

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/sip/
Source:         %{pypi_source sip}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sip' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sip
Summary:        %{summary}

%description -n python3-sip %_description


%prep
%autosetup -p1 -n sip-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sip -f %{pyproject_files}


%changelog
%autochangelog